Subject: Offline Message from Abdulrahman: I didn't received one item from the last or
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Wed, 08 Jul 2020 08:24:56 -0000

From: Abdulrahman <[email-masked]>
Phone: 
Location: Riyadh, Saudi Arabia
URL: https://saudi.mumzworld.com/sa-en/sales/order/view/order_id/1561595/
Department: 

I didn't received one item from the last order. 

Unfortunately, I was very disappointed with your service. I had called customer service many times and they provided me tracking number for (Barq express) who should have the item but, unfortunately they don't have it. I called your customer service and they had told me twice that they rise an email to expedite the delivery but, nothing happened. Also, in my last call she told me that the delivery will be yesterday or today as maximum. 
I had called today and the same person from your customer service told me that she will contact the concerned department to see where is the shipment. 

Really, unexpected service from such brand. 
If you can't deliver it please cancel it. 

----
Zopim
https://www.zopim.com